package com.sunxung.factoring.entity.ledger;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

import java.math.BigDecimal;

/**
 * 分账管理-资金占用费
 *
 * @author liutao
 * @date 2021.11.11
 */
@TableName("ledger_fund_possession_cost")
public class LedgerFundPossessionCost extends BaseEntity {
    /**
     * 供应商Id
     */
    @TableField("supplier_id")
    private Long supplierId;
    /**
     * 供应商名称
     */
    @TableField("supplier_name")
    private String supplierName;

    /**
     * 资金占用费
     */
    @TableField("fund_possession_cost")
    private BigDecimal fundPossessionCost;
    /**
     * 分配原因
     */
    @TableField("assign_reason")
    private String assignReason;
    /**
     * 对应分账管理基本信息表Id
     */
    @TableField("ledger_account_basic_info_id")
    private Long ledgerAccountBasicInfoId;

    public LedgerFundPossessionCost() {
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public BigDecimal getFundPossessionCost() {
        return fundPossessionCost;
    }

    public void setFundPossessionCost(BigDecimal fundPossessionCost) {
        this.fundPossessionCost = fundPossessionCost;
    }

    public String getAssignReason() {
        return assignReason;
    }

    public void setAssignReason(String assignReason) {
        this.assignReason = assignReason;
    }

    public Long getLedgerAccountBasicInfoId() {
        return ledgerAccountBasicInfoId;
    }

    public void setLedgerAccountBasicInfoId(Long ledgerAccountBasicInfoId) {
        this.ledgerAccountBasicInfoId = ledgerAccountBasicInfoId;
    }
}
